gr.zeus.util

## Class SimpleUIDGenerator

- java.lang.Object
- - gr.zeus.util.SimpleUIDGenerator

-     public final class SimpleUIDGenerator
      extends java.lang.Object

  Generates unique ID's within this JVM.

  Since:
    1.0
  Author:
    Gregory Kotsaftis

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleUIDGenerator()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `getNextUID()` Always returns a unique number > 0 for the existing VM.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleUIDGenerator

          public SimpleUIDGenerator()

  - ### Method Detail

    - #### getNextUID

          public static long getNextUID()

      Always returns a unique number > 0 for the existing VM. This method IS thread safe.

      Returns:
        A unique number > 0 for the existing VM.